Subject: Re: [PATCH net-next] net: arcnet: com20020-pci: use module_pci_driver

From: Simon Horman <[email-masked]>
Date: Mon, 9 Feb 2026 16:03:27 +0000

On Wed, Feb 04, 2026 at 11:06:31PM -0800, Ethan Nelson-Moore wrote:
> The only thing this driver's init/exit functions do is call
> pci_register/unregister_driver, and in the case of the init function,
> print an unnecessary message. Replace them with module_pci_driver to
> simplify the code.
> 
> Signed-off-by: Ethan Nelson-Moore <[email-masked]>

I'm not sure that I see the value of cleanups to this driver.
Which hasn't seen much activity for a while now.

But I agree the change is correct.

Reviewed-by: Simon Horman <[email-masked]>

...